
Name:           ktouch
Summary:        A program for learning touch typing
Version: 		23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2 and GFDL
URL:            http://www.kde.org/applications/education/ktouch/
Source:         http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Requires:       kqtquickcharts

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5declarative-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5kcmutils-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kitemviews5 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5qml-devel 
BuildRequires: lib64qt5quick-devel 
BuildRequires: lib64qt5quickwidgets-devel 
BuildRequires: lib64qt5sql-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5x11extras-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64x11-devel 
BuildRequires: lib64xkbfile-devel 
BuildRequires: libxcb-devel 
BuildRequires: libxml2-utils 
BuildRequires: pkgconfig 

%description
KTouch is a program for learning touch typing. KTouch is a way to learn
to type on a keyboard quickly and correctly. Every finger has its place
on the keyboard with associated keys to press.

KTouch helps you learn to touch typing by providing you with something
to write. KTouch can also help you to remember what fingers to use.

%files
%_kf5_bindir/%{name}
%_kf5_datadir/%{name}/
%_kf5_iconsdir/hicolor/*/apps/%{name}.*
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_kf5_datadir/config.kcfg/%{name}.kcfg
%_kf5_mandir/man1/%{name}.1.*
%_kf5_datadir/metainfo/org.kde.ktouch.appdata.xml
%_kf5_datadir/locale
%{_mandir}
#------------------------------------------------------------------------------

%package handbook
Summary:        Ktouch handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name

%description handbook
This package provides ktouch handbook.

%files handbook
%doc %_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

